Bug 693922 - Usability Bug: When You are Overwriting Files, No File Name is Displayed in Warning Dialogue Box
Summary: Usability Bug: When You are Overwriting Files, No File Name is Displayed in ...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus
Version: 15
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomáš Bžatek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-04-05 22:47 UTC by David Le Sage
Modified: 2015-03-03 22:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-07 14:38:57 UTC
Type: ---


Attachments (Terms of Use)
Dialogue Does Not Tell Me the Name of Which of the Dozen or So Files I am Copying is About to be Overwritten. (63.84 KB, image/png)
2011-04-05 22:49 UTC, David Le Sage
no flags Details

Description David Le Sage 2011-04-05 22:47:46 UTC
Description of problem:
I am copying a large number of files from one directory to another, wishing to overwrite some in the destination directory that have the same filenames.

When the warning dialogue for each overwrite action appears to tell me that a "newer file with the same name already exists" it does NOT tell me the name of the specific file I am overwriting each time unless I click to expand the "Select a New Name for the Destination" option.

Ideally, the dialogue box should tell the name of the file I am overwriting so I can confirm at a glance if I want to proceed with this action or not on a file-by-file basis.

Version-Release number of selected component (if applicable):
nautilus-2.91.93-2.fc15.x86_64


How reproducible:
Every time.

Steps to Reproduce:
1. Create a directory and put several files in it.
2. Make a another directory and add to it the same number of files with the and give them the same names. 
3. Select and copy these latter files.
4. Paste them back into the first directory.
5. The warning dialogue pops up telling you that a file with the same name already exists and asking if you want to overwrite it. 
  
Actual results:
Unfortunately, it does not tell you *which* of the files you are trying to copy is the first one to be overwritten.  This is a problem if you want to do the copies one by one. It is less of a problem if you are doing a bulk overwrite and just want to copy over the whole lot of them.  

Expected results:
Dialogue box should tell you the name of each file in turn so you can decide whether to skip or overwrite it. You should not be required to click on the "Select a new name..." option each time just to see the name of the file in question. 

Additional info:

Comment 1 David Le Sage 2011-04-05 22:49:24 UTC
Created attachment 490102 [details]
Dialogue Does Not Tell Me the Name of Which of the Dozen or So Files I am Copying is About to be Overwritten.

Comment 2 Cosimo Cecchi 2011-04-07 14:38:57 UTC
Thanks, I fixed this bug upstream, see [1].
The fix will be in 3.0.1, which will eventually hit Fedora 15 together with GNOME 3.0.1.

[1] http://git.gnome.org/browse/nautilus/commit/?id=b8077a7ad65f54e397dd3fa1b32f97b838ba590e


Note You need to log in before you can comment on or make changes to this bug.